#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 13. Programming

- Prev

  Python Modules

- Next

  Rustc-1.58.1

- Up
- Home

# Ruby-3.1.0

## Introduction to Ruby

The Ruby package contains the Ruby development environment. This is useful for object-oriented scripting.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://cache.ruby-lang.org/pub/ruby/3.1/ruby-3.1.0.tar.xz

- Download MD5 sum: cdc345178b63098728e9b6d2188bd1bd

- Download size: 14 MB

- Estimated disk space required: 600 MB (add 1.1 GB for C API docs)

- Estimated build time: 1.8 SBU (using parallelism=4; add 8.8 SBU for tests; add 1.9 SBU for C API docs)

### Ruby Dependencies

#### Optional

Berkeley DB-5.3.28, Doxygen-1.9.3, Graphviz-2.50.0, libyaml-0.2.5, Tk-8.6.12, Valgrind-3.18.1, and DTrace

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/ruby

## Installation of Ruby

Install Ruby by running the following command:

    ./configure --prefix=/usr   \
                --enable-shared \
                --docdir=/usr/share/doc/ruby-3.1.0 &&
    make

Optionally, build the CAPI documents by running the following commands:

    make capi

To test the results, issue: make check. There are over 21,000 tests. Some tests related to ipv6 may indicate errors. If the tests are run in a directory that has a world writable component (e.g. /tmp) then several additional tests may fail. A few tests may fail due to system configuration expectations.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-shared`: This switch enables building of the `libruby` shared library.

`--disable-install-doc`: This switch disables building and installing rdoc indexes and C API documents.

`--disable-install-rdoc`: This switch disables building and installing rdoc indexes.

`--disable-install-capi`: This switch disables building and installing C API documents.

## Contents

Installed Programs: bundle, bundler, erb, gem, irb, racc, rake, rbs, rdbg, rdoc, ri, ruby, and typeprof
Installed Libraries: libruby.so
Installed Directories: /usr/include/ruby-3.1.0, /usr/lib/ruby, /usr/share/doc/ruby-3.1.0 and /usr/share/ri

### Short Descriptions

bundle | creates bundles of Ruby Gems
bundler | manages an application's dependencies throughout it's lifecycle
erb | is Tiny eRuby. It interprets a Ruby code embedded text file
gem | command for RubyGems - a sophisticated package manager for Ruby
irb | is the interactive interface for Ruby
rake | a make-like build utility for Ruby
rdbg | is an interactive debugger for Ruby
rdoc | generates Ruby documentation
ri | displays documentation from a database on Ruby classes, modules, and methods
ruby | is an interpreted scripting language for quick and easy object-oriented programming
`libruby.so` | contains the API functions required by Ruby

Last updated on

- Prev

  Python Modules

- Next

  Rustc-1.58.1

- Up
- Home